#### Description:

The Stc class is an implementation of the IVOA STC class which forms part of the IVOA Space-Time Coordinate Metadata system. See:

http://hea-www.harvard.edu/ ∼arots/nvometa/STC.html

The Stc class does not have a constructor function of its own, as it is simply a container class for a family of specialised sub-classes including StcCatalogEntryLocation, StcResourceProfile, StcSearchLocation and StcObsDataLocation.

#### Constructor Function

astStc

#### Inheritance

The Stc class inherits from the Region class.

#### Attributes

In addition to those attributes common to all Regions, every Stc also has the following attributes:

- RegionClass: The class name of the encapsulated Region.

#### Functions

In addition to those functions applicable to all Regions, the following functions may also be applied to all Stc`’` s:

- astGetStcRegion: Get a pointer to the encapsulated Region

- astGetStcCoord: Get information about an AstroCoords element

- astGetStcNCoord: Returns the number of AstroCoords elements in an Stc

Copyright (C) 2021 East Asian Observatory